﻿@model SSCMvc.Models.User
@using SSCMvc.Models;
@{
    ViewBag.Title = "Create User";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@using System.Web.UI.WebControls
@section scripts{
      <script type="text/javascript">
        $(document).ready(function () {
            $("#DateOfLeav").datepicker();
            $("#DateOfJoin").datepicker();


            if ($("#BrId").val() > 0) {
                $("#BranchId").attr('disabled', true);

            }

            $(".btnCancel").click(function () {
                window.location.href = "/User/Index";
            });

        });

    </script>

}
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true, "creation was unsuccessful. Please correct the errors and try again.")



    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Create User
        </h1>
    </div>
    <ul class="breadcrumb">
        <li>@Html.ActionLink("Home", "Index", "User") <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>

    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="submit" value="Cancel" class="btn btn-primary btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table style="width: 700px">
                                <tr>
                                    <td colspan="2">
                                        <span style="font-weight: bold; color: Red">
                                            @ViewBag.Message
                                        </span>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 150px">
                                        <table>
                                            <tr>
                                                @{
    object id = ViewBag.branid;
                                                }
                                                @Html.Hidden("BranchId", @id, new { id = "BrId" })
                                                <td>
                                                    @Html.LabelFor(model => model.BranchId, "Branch")
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.DropDownList("BranchId", "Select")
                                        @Html.ValidationMessageFor(model => model.BranchId)
                                    </td>
                                </tr>
                                <tr>

                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.Usertype)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.DropDownList("Usertype", "Select User Type")
                                        @Html.ValidationMessageFor(model => model.Usertype)
                                    </td>
                                </tr>


                                <tr>

                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.RollId)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.DropDownList("RollId", "Select Role")
                                        @Html.ValidationMessageFor(model => model.RollId)
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.SubRole)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.DropDownList("SubRole", "Select Sub Role")
                                        @Html.ValidationMessageFor(model => model.SubRole)
                                    </td>
                                </tr>


                                @*<tr>
                                        <td>
                                            <table>
                                                <tr>
                                                    <td>@Html.LabelFor(model => model.DesignationId, "Designation")
                                                    </td>
                                                    <td>
                                                        <span class="color_style">*</span>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td>@Html.DropDownList("DesignationId", "Select")
                                            @Html.ValidationMessageFor(model => model.DesignationId)
                                        </td>
                                    </tr>*@
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.Fullname)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.Fullname)
                                        @Html.ValidationMessageFor(model => model.Fullname)
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.username)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.username)
                                        @Html.ValidationMessageFor(model => model.username)
                                    </td>
                                </tr>
                                @* <tr>
                                        <td>
                                            <table>
                                                <tr>
                                                    <td>@Html.LabelFor(model => model.Password)
                                                    </td>
                                                    <td>
                                                        <span class="color_style">*</span>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td>
                                            @Html.EditorFor(model => model.Password)
                                            @Html.ValidationMessageFor(model => model.Password)
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <table>
                                                <tr>
                                                    <td>@Html.LabelFor(Model => Model.ConfirmPassword)
                                                    </td>
                                                    <td>
                                                        <span class="color_style">*</span>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td>
                                            @Html.EditorFor(model => model.ConfirmPassword)
                                            @Html.ValidationMessageFor(model => model.ConfirmPassword)
                                        </td>
                                    </tr>*@
                                <tr>
                                    <td>
                                        @Html.LabelFor(model => model.Email)
                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.Email)
                                        @Html.ValidationMessageFor(model => model.Email)
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.Mobile)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.TextBoxFor(model => model.Mobile, new { MaxLength = "10" })
                                        @Html.ValidationMessageFor(model => model.Mobile)
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.DateOfJoin)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.DateOfJoin)
                                        @Html.ValidationMessageFor(model => model.DateOfJoin)
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.DateOfLeav)
                                                </td>
                                                <td></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.DateOfLeav)
                                        @Html.ValidationMessageFor(model => model.DateOfLeav)
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        @Html.LabelFor(model => model.Remarks)
                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.Remarks)
                                        @Html.ValidationMessageFor(model => model.Remarks)
                                    </td>
                                </tr>



                                @*   <tr>
                                        <td>@Html.LabelFor(model => model.Status)</td>
                                        <td>@Html.CheckBoxFor(model => model.Status, new { @checked = true })
                                            @Html.ValidationMessageFor(model => model.Status)</td>
                                    </tr>*@
                            </table>
                        </form>
                    </div>
                    <div class="tab-pane fade" id="profile">
                        <form id="tab2">
                            <label>
                                New Password
                            </label>
                            <input type="password" class="input-xlarge">
                            <div>
                                <button class="btn btn-primary">
                                    Update
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="modal small hide fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                        ×
                    </button>
                    <h3 id="myModalLabel">
                        Delete Confirmation
                    </h3>
                </div>
                <div class="modal-body">
                    <p class="error-text">
                        <i class="icon-warning-sign modal-icon"></i>Are you sure you want to delete the
                        user?
                    </p>
                </div>
                <div class="modal-footer">
                    <button class="btn" data-dismiss="modal" aria-hidden="true">
                        Cancel
                    </button>
                    <button class="btn btn-danger" data-dismiss="modal">
                        Delete
                    </button>
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">
                        @{

    if (Request.Cookies[SSCMvc.Models.CommonUtil.CookieUsertype].Value == SSCMvc.Models.CommonUtil.UserTypeSuperAdmin)
    {
        @Html.ActionLink("Back to List", "Index")
    }
                        }
                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
        </div>
    </div>



}
